commit:     089ae6444d03fad7013066bbc002f9db42516690
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 27 18:20:41 2024 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Fri Sep 27 18:21:11 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=089ae644

dev-tcltk/tcl3d: add 0.9.5

Closes: https://bugs.gentoo.org/924318
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-tcltk/tcl3d/Manifest           |  1 +
 dev-tcltk/tcl3d/tcl3d-0.9.5.ebuild | 57 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/dev-tcltk/tcl3d/Manifest b/dev-tcltk/tcl3d/Manifest
index 7df440c2bda3..47e3beda24e9 100644
--- a/dev-tcltk/tcl3d/Manifest
+++ b/dev-tcltk/tcl3d/Manifest
@@ -1 +1,2 @@
+DIST tcl3d-0.9.5.7z 1776479 BLAKE2B 
c6437073a36405cec8ffaece93e70996109de709c1bf8158a01e7fcc6b085e26ab361d30cbf09f0895761c220d83771beca26eff19f167c0c6c7a60b0965aa25
 SHA512 
deb21a48b672cc804723a4e8e8c01dee5ed706cb30011e59b532f791317a4620ab8363cf2db9aef802397439b515db54c46d2662513131d0771bc577cde17a11
 DIST tcl3d-src-0.5.0.zip 3936271 BLAKE2B 
97bd3815c05254162d8af4b2029dd2ac4218ed4bfb94e19a6454f41c12953b48f616444e466dda5359433f84a9284a2e20316b6c97b0e3a20deada47f583510c
 SHA512 
24f799d5cc0ad9daf060b6b723d1197be678c0716b2099287e004221889c56da03f7368d6cd4c47dbbbbfe936b0bf65366cd452d3d9c2335cdfbae6ff3860a29

diff --git a/dev-tcltk/tcl3d/tcl3d-0.9.5.ebuild 
b/dev-tcltk/tcl3d/tcl3d-0.9.5.ebuild
new file mode 100644
index 000000000000..1f2e0538bf28
--- /dev/null
+++ b/dev-tcltk/tcl3d/tcl3d-0.9.5.ebuild
@@ -0,0 +1,57 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic cmake unpacker
+
+DESCRIPTION="Tcl bindings to OpenGL and other 3D libraries"
+HOMEPAGE="http://www.tcl3d.org";
+SRC_URI="https://www.tcl3d.org/download/distributions/${P}.7z";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="sdl truetype"
+
+RDEPEND="dev-lang/tcl:0=
+       dev-lang/tk:0=
+       x11-libs/libX11
+       virtual/opengl
+       virtual/glu
+       truetype? ( media-libs/ftgl )
+       sdl? ( media-libs/libsdl )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       dev-lang/swig
+       app-arch/p7zip
+"
+
+src_prepare() {
+       sed -i \
+               -e "s|FTGLGlyph|FTGlyph|" \
+               tcl3dFTGL/swigfiles/ftgl.i \
+               || die
+       cmake_src_prepare
+}
+
+src_configure() {
+       local _TCL_V=( $(echo 'puts [info tclversion]' | tclsh | tr '.' ' ') )
+       local _TCL_FV="${_TCL_V[0]}.${_TCL_V[1]}"
+
+       local tkPath=/usr/$(get_libdir)/tk${_TCL_FV}/include
+
+       append-cppflags -I${tkPath}/generic -I${tkPath}/unix \
+               $(pkg-config freetype2 --cflags) \
+               $(pkg-config sdl --cflags)
+
+       local mycmakeargs=(
+               -Wno-dev
+               -DTCL3D_BUILD_OGL=Yes
+               -DTCL3D_BUILD_GAUGES=Yes
+               -DTCL3D_BUILD_GL2PS=Yes
+               -DTCL3D_BUILD_FTGL=$(usex truetype)
+               -DTCL3D_BUILD_SDL=$(usex sdl)
+       )
+       cmake_src_configure
+}

Reply via email to